var page = 1,
    slideData, UIScrollPicture = null;
apiready = function() {
    api.parseTapmode();
    ajpushObj.initJpush();
    UIScrollPicture = api.require('UIScrollPicture');
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉

    api.addEventListener({
        name: 'keyback'
    }, function(ret, err) {
        api.closeWidget({
            id: api.appId,
            retData: {
                name: 'closeWidget'
            },
        });
    });

    api.addEventListener({
        name: 'recommend-reload'
    }, function(ret, err) {
        page = 1;
        getRecommendList();
    });

    setTimeout(function(){
      doClipBoard()
    },500);
}

function render() {
    getHomeBanner();
    //getRecommendIntro();
    getRecommendList();
}

function getHomeBanner() {
    var connectionType = api.connectionType;
    if (connectionType == 'none') {
        api.toast({
            msg: '啊噢，网速不给力~',
            location: 'middle'
        });
        return;
    }
    ajaxRequest(API_URL.getHomeBanner, 'post', {}, function(ret, err) {
        if (ret.status == 0) {
            var data = ret.data;
            slideData = data.bannerlist;
            if (slideData.length > 0) {
                // UIScrollPicture.close();
                // initUIScroll();
                renderBanner(data.bannerlist);
            }

            var videolist=data.videolist
            if(videolist.length>0){
              $('.zhibo').show();
              renderVideoList(videolist);
            }else{
              $('.zhibo').hide();
            }
        } else {
            showTipMsg(ret.msg);
        }
    });
}


function renderVideoList(data) {
    var content = $api.byId('list-live');
    var tpl = $api.byId('list-live-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content, tempFn(data));

    $api.append(content, "<div class=\"slide-item slide-item-last\" tapmode onclick=\"openHtml('https://v.191.cn/','看直播')\"><img src=\"../image/icon-more.png\"><div class=\"text-gray aui-font-size-14\">查看更多</div></div>");

}

function initUIScroll() {
    imgs = [];
    titles = [];
    _capHeight = 0;
    _width = api.winWidth;
    _height = (_width - 20) / 2.5;
    el = document.getElementById('aui-slide3');
    $api.css(el, 'height:' + _height + 'px;');
    for (var i in slideData) {
        imgs.push(slideData[i].banner_image);
        titles.push(slideData[i].banner_title);
    }
    var _sleng = slideData.length;
    UIScrollPicture.open({
        rect: {
            x: 10,
            y: 10,
            w: _width - 20,
            h: _height
        },
        data: {
            paths: imgs,
            captions: titles
        },
        styles: {
            caption: {
                height: _capHeight,
                color: '#000',
                size: 16,
                bgColor: 'rgba(0,0,0,0.4)',
                position: 'overlay'
            },
            indicator: {
                align: 'center',
                color: '#f0f0f0',
                activeColor: '#5fad23'
            }
        },
        contentMode: 'scaleToFill',
        cornerRadius: 8,
        scrollerCorner: 10,
        interval: 3,
        fixedOn: api.frameName,
        loop: _sleng > 1 ? true : false,
        fixed: false
    }, function(ret, err) {
        if (ret) {
            if (ret.eventType == 'click') {
                taptUIScroll(ret.index);
            }
        } else {}
    });
    UIScrollPicture.reloadData({
        data: {
            paths: imgs,
            captions: titles
        }
    });
}

function renderBanner(data) {
  var content = $api.byId('aui-slide3-content');
  var tpl = $api.byId('aui-slide3-content-template').text;
  var tempFn = doT.template(tpl);
  $api.html(content, tempFn(data));

  var w = document.documentElement.clientWidth;
  var h = (w - 20) / 2.5;
  _slide3=null;
  _slide3 = new auiSlide({
      container:document.getElementById("aui-slide3"),
      // "width":300,
      "height":h,
      "speed":500,
      "autoPlay": 5000, //自动播放
      "loop":true,
      "pageShow":true,
      "pageStyle":'dot',
      'dotPosition':'center'
  })
}

function taptUIScroll(i) {
    var title = slideData[i].banner_title;
    var id = slideData[i].id;
    var type = slideData[i].jump_type;
    var path = slideData[i].jump_data;
    tapHomeUIScroll(id, type, title, path);
}

function getRecommendList() {

    var connectionType = api.connectionType;
    if (connectionType == 'none') {
        api.toast({
            msg: '啊噢，网速不给力~',
            location: 'middle'
        });
        return;
    }
    var params = {};
    params.page = page;
    ajaxRequest(API_URL.getRecommendList, 'post', params, function(ret, err) {
        if (ret.status == 0) {
            var data = ret.data;
            var list = data.list.rows;
            if (list.length > 0) {
                renderList(list);
            } else {
                $api.removeCls($api.byId('bottomtips'), 'aui-hide');
            }
        } else {
            showTipMsg(ret.msg);
        }
    });
}

function renderList(data) {
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-content-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content, "");
        $api.html(content, tempFn(data));
        if (data.length < 10) {
            $api.removeCls($api.byId('bottomtips'), 'aui-hide');
        }
    } else {
        $api.append(content, tempFn(data));
    }

}

// function getRecommendIntro() {
//     var connectionType = api.connectionType;
//     if (connectionType == 'none') {
//         api.toast({
//             msg: '啊噢，网速不给力~',
//             location: 'middle'
//         });
//         return;
//     }
//     ajaxRequest(API_URL.getRecommendIntro, 'post', {}, function(ret, err) {
//         if (ret.status == 0) {
//             var data = ret.data;
//             var recommend_intro = data.recommend_intro;
//             if (recommend_intro != '') {
//                 recommendIntroCallBack(recommend_intro);
//                 $('#div_intro').show()
//             } else {
//                 $('#div_intro').hide()
//             }
//         } else {
//             showTipMsg(ret.msg);
//         }
//     });
// }
//
// function recommendIntroCallBack(data) {
//     var content = $api.byId('recommend_intro');
//     var tpl = $api.byId('recommend_intro_template').text;
//     var tempFn = doT.template(tpl);
//     $api.html(content, tempFn(data));
// }

function openRecommendIntro(id, title) {
    fOpenWin('win_recommend_info_detail', {
        id: id,
        title: title
    });
}

function setRefreshHeader() { //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        page = 1;
        render();
        api.refreshHeaderLoadDone();
    });
}

function setScrollBottom() { //底部拉
    api.addEventListener({
        name: 'scrolltobottom'
    }, function(ret, err) {
        page++;
        getRecommendList();
    });
}
